## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-aiosignal
Version:        1.4.0
Release:        %autorelease
Summary:        List of registered asynchronous callbacks

License:        Apache-2.0
URL:            https://github.com/aio-libs/aiosignal
Source:         %{pypi_source aiosignal}

# Downstream-only: do not fail on warnings
# This is too strict for downstream packaging.
Patch:          0001-Downstream-only-patch-out-coverage-options.patch
# Downstream-only: patch out coverage options
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
Patch:          0002-Downstream-only-do-not-fail-on-warnings.patch

BuildSystem:            pyproject
BuildOption(install):   -l aiosignal

BuildArch:      noarch

BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)

%global common_description %{expand:
A project to manage callbacks in asyncio projects.}

%description %{common_description}


%package -n python3-aiosignal
Summary:        %{summary}

Obsoletes:      python-aiosignal-doc < 1.3.1-15

%description -n python3-aiosignal %{common_description}


%check -a
%pytest


%files -n python3-aiosignal -f %{pyproject_files}
%doc CHANGES.rst
%doc CONTRIBUTORS.txt
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Sat Jul 05 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.0-1
- Update to 1.4.0 (close RHBZ#2376269)

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.3.2-7
- Rebuilt for Python 3.14

* Fri May 02 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.2-6
- F41+: Use the provisional pyproject declarative buildsystem

* Fri May 02 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.2-5
- Do not install a duplicate LICENSE file

* Thu May 01 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.2-3
- Update .rpmlintrc file for current rpmlint

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 13 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.2-1
- Update to 1.3.2 (close RHBZ#2332305)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.3.1-16
- Rebuilt for Python 3.13

* Thu May 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-15
- F41+: Stop building PDF documentation; drop -doc subpackage

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-11
- Assert that %%pyproject_files contains a license file

* Wed Nov 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-10
- Drop sphinxcontrib-asyncio doc dependency

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-8
- When PDF docs are disabled, omit the -doc subpackage

* Fri Jul 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-7
- Use new (rpm 4.17.1+) bcond style

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.3.1-6
- Rebuilt for Python 3.12

* Thu Jun 08 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 1.3.1-5
- Do not fail on warnings

* Fri Mar 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-3
- Don’t assume %%_smp_mflags is -j%%_smp_build_ncpus

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 09 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-1
- Update to 1.3.1 (close RHBZ#2141091)

* Fri Oct 21 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.0-6
- Update License to SPDX

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.2.0-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.0-2
- Drop intersphinx mappings

* Mon Dec 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.0-1
- Initial package (close RHBZ#2029682)
## END: Generated by rpmautospec
